<!DOCTYPE html>
{% load static %}

<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

<link rel="stylesheet" type="text/css" href="{% static '/css/general.css' %}" />
<link rel="stylesheet" type="text/css" href="{% static '/css/onboarding.css' %}" />
<script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

{% block body %}
<form method="post" action="{% url 'login' %}">
    {% csrf_token %}
    <div class="container d-flex justify-content-center">
        <div class="log-intro text-center">
            <img src="{% static '/image/purple-g.png' %}" style="max-width: 60vw;">
            <div class="mt-3 text-start">
                {% for field in form %}
                {{ field.label_tag }}
                {{ field }}
                {% if field.errors %}
                    {% for error in field.errors %}
                        <p id="error">{{ error|escape }}</p>
                    {% endfor %}
                {% endif %}
                {% endfor %}
                <!-- <input type="text" placeholder="  Username" name="uname" required><br>
                <input type="password" placeholder="  Password" name="psw" required><br><br> -->
                
                {% if form.errors %}
                <div class="alert">
                <p class="elog mb-0">There's something wrong with what you entered</p></div>
                {% endif %}
                {% if next %}
                    {% if user.is_authenticated %}
                    <p>Your account doesn't have access to this page. To proceed,
                    please login with an account that has access.</p>
                    {% else %}
                    <p>Please login to see this page.</p>
                    {% endif %}
                {% endif %}
                
                <div class="text-center mt-2">
                    <button class="btn button-primary" type="submit">Login</button>
                    <input type="hidden" name="next" value="{{ next }}" />
                    <p></p>
                    <p style="font-size: 14px;" id="wpwlog">What's my password?</p>
                </div>
                
            </div>
            
        </div>
    </div>
</form>
{%endblock%}